## org.apache.commons.math3.optim
Class BaseOptimizer.MaxIterCallback

    java.lang.Object
      org.apache.commons.math3.optim.BaseOptimizer.MaxIterCallback

All Implemented Interfaces:
  Incrementor.MaxCountExceededCallback

Enclosing class:
  BaseOptimizer<PAIR>

    private static class BaseOptimizer.MaxIterCallback

extends java.lang.Object
implements Incrementor.MaxCountExceededCallback

Defines the action to perform when reaching the maximum number of evaluations.

Constructor Summary
`private` `BaseOptimizer.MaxIterCallback()`

Method Summary
`void` `trigger(int max)` Function called when the maximal count has been reached.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseOptimizer.MaxIterCallback

    private BaseOptimizer.MaxIterCallback()

Method Detail

### trigger

    public void trigger(int max)

  Function called when the maximal count has been reached.

  Specified by:
    `trigger` in interface `Incrementor.MaxCountExceededCallback`
  Parameters:
    `max` - Maximal count.
  Throws:
    `TooManyIterationsException.`

Copyright (c) 2003-2013 Apache Software Foundation